<?php
$t = "Настройка новостной ленты";
include_once '../core/core.php';
include_once '../core/_navbar_policy.php';
$navbar["rss.lm"]["active"] = true;
if (!$user->auth()){
	$core->GoToPage("/login.lm");
	die();
}
if ($user->getData()->rss_url == null OR $user->getData()->rss_url == ""){
	$r_url = 'http://'.$user->getData()->domain.'/';
} else {
	$r_url = 'http://'.$user->getData()->rss_url;
}
if (isset($_POST["save"])){
	$status = isset($_POST["mode"]) && !empty($_POST["mode"]) && is_numeric($_POST["mode"])?intval($_POST["mode"]):0;
	if (!isset($_POST["name"]) || empty($_POST["name"])){
		$core->regError("Введите название канала","Введите название канала",1,"RSS");
	} elseif (!isset($_POST["desc"]) || empty($_POST["desc"])){
		$core->regError("Введите описание канала","Введите описание канала",2,"RSS");
	} elseif (!isset($_POST["url"])){
		$core->regError("Введите адрес канала","Введите адрес канала",3,"RSS");
	} elseif (!isset($_POST["author"]) || empty($_POST["author"])){
		$core->regError("Введите автора канала","Введите автора канала",4,"RSS");
	} elseif (strlen(trim($_POST['name'])) > 255) {
		$core->regError("Слишком длинное название канала","Слишком длинное название канала (до 255 символов)",1,"Forum");
	} elseif (strlen(trim($_POST['desc'])) > 255) {
		$core->regError("Слишком длинное описание канала","Слишком длинное описание канала (до 255 символов)",2,"Forum");
	} elseif (strlen(trim($_POST['url'])) > 255) {
		$core->regError("Слишком длинный адрес канала","Слишком длинный адрес канала (до 255 символов)",3,"Forum");
	} elseif (strlen(trim($_POST['author'])) > 255) {
		$core->regError("Слишком длинное название автора канала","Слишком длинное название автора канала (до 255 символов)",4,"Forum");
	} else {
		$rss_u = str_replace("http://","",$core->FilterString($_POST["url"]));

		$db->Query("UPDATE `sites` SET `module_rss_enable`='".$status."',`rss_name`='".$core->FilterString($_POST["name"])."',`rss_desc`='".$core->FilterString($_POST["desc"])."',`rss_url`='".$rss_u."',`rss_author`='".$core->FilterString($_POST["author"])."' WHERE `id` = '".$user->uid."'");
		include_once '../core/head.php';
		echo '<div class="alert alert-success">Настройки RSS-Ленты сохранены</div>';
	}
}
include_once '../core/head.php';
if ($core->isBooleanError()){
	foreach ($core->showError() as $csE){
		echo '<div class="alert alert-danger">#Err'.$csE["code"].'</b> | '.$csE["utxt"].'</div>';
	}	
}
echo '<div class="alert alert-warning">Если отключить новостную ленту, тогда она будет просто пустой, без вывода информации.</div>';
echo '<div class="panel panel-default"><div class="panel-body"><form method="POST">
Статус:<br>
<select name="mode" class="form-control"><option value="0" '.($user->getData()->module_rss_enable == 0?'selected':null).'>Выключен</option><option value="1" '.($user->getData()->module_rss_enable == 1?'selected':null).'>Включен</option></select><br>
Название канала:<br>
<input type="text" class="form-control" name="name" max="255" value="'.(isset($_POST["name"]) && !empty($_POST["name"])?$core->FilterString($_POST["name"]):$user->getData()->rss_name).'"><br>
Описание канала:<br>
<input type="text" class="form-control" name="desc" max="255" value="'.(isset($_POST["desc"]) && !empty($_POST["desc"])?$core->FilterString($_POST["desc"]):$user->getData()->rss_desc).'"><br>
Адрес канала: (Пример: http://'.$user->getData()->domain.'/)<br>
<input type="text" class="form-control" name="url" max="255" value="'.(isset($_POST["url"]) && !empty($_POST["url"])?$core->FilterString($_POST["url"]):$r_url).'" placeholder="(Оставьте пустым, для автозаполнения)"><br>
Автор канала:<br>
<input type="text" class="form-control" name="author" max="255" value="'.(isset($_POST["author"]) && !empty($_POST["author"])?$core->FilterString($_POST["author"]):$user->getData()->rss_author).'" placeholder=""><br>
<input type="submit" name="save" value="Сохранить" class="btn btn-primary">
</form></div></div>';
include_once '../core/foot.php';
?>